XSetTransientForHint(3X11)

NAME
XSetTransientForHint, XGetTransientForHint - set or read a window's WM_TRANSIENT_FOR property

SYNTAX
XSetTransientForHint(display, w, prop_window)
      Display *display;
      Window w;
      Window prop_window;

Status XGetTransientForHint(display, w, prop_window_return)
      Display *display;
      Window w;
      Window *prop_window_return;

ARGUMENTS

display
    Specifies the connection to the X server.

w   Specifies the window.

prop_window
    Specifies the window that the WM_TRANSIENT_FOR property is to be set to.

prop_window_return
    Returns the WM_TRANSIENT_FOR property of the specified window.

DESCRIPTION
The function sets the WM_TRANSIENT_FOR property of the specified window to the specified prop_window.

can generate and errors.

The function returns the WM_TRANSIENT_FOR property for the specified window. It returns a nonzero status on success; otherwise, it returns a zero status.

can generate a error.

PROPERTIES

WM_TRANSIENT_FOR
    Set by application programs to indicate to the window manager that a transient top-level window, such as a dialog box.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3X11), XAllocIconSize(3X11), XAllocSizeHints(3X11), XAllocWMHints(3X11), XSetCommand(3X11), XSetTextProperty(3X11), XSetWMClientMachine(3X11), XSetWMColormapWindows(3X11), XSetWMIconName(3X11), XSetWMName(3X11), XSetWMProperties(3X11), XSetWMProtocols(3X11), XStringListToTextProperty(3X11)
Xlib - C Language X Interface